<template>
  <div></div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  props: {
    callbackGetFicha: { type: Function },
  },
  methods: {
    getFicha(value) {
      var ceco = value.dataCeco.ceco;
      axios("/documento-sucursal/ceco/v1/busquedas/geografia/" + ceco)
        .then((response) => {
          let data = response.data;
          if (data) {
            var region = data.resultado.geografias[0].region;
            var zona = data.resultado.geografias[0].zona;
            var territorio = data.resultado.geografias[0].territorio;
            this.callbackGetFicha(region, zona, territorio);
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
};
</script>
